Class 'Joomla\CMS\MVC\View\GenericDataException' not found

EJ
Elisabeth Jane BertrandPosted 3 months ago
Joomla! Extensions - Professional Subscription

Hi there! 

I am trying the upgrade from Joomla 3.10 to 4.0 . It clearly states to upgrade to the Joomla 4 versions of the Minitek extensions before and after upgrade to 4.0 however its not working for me. I get the following error when trying to install the Slider for 4.0 on 3.10. 

Class 'Joomla\CMS\MVC\View\GenericDataException' not found 

Hope all is well! 

Elisabeth 

 

0
#2959

4 answers

M
MinitekPosted 3 months agoModerator

Hi Elisabeth,

You can't install versions 4.x on Joomla 3.x.

You must first update to Joomla 4 and then update the extensions. The messages from Joomla are wrong. Joomla has messed up big time with Joomla 4 transition.

EJ
Elisabeth Jane BertrandPosted 3 months ago

That makes sense. Okay. It's not only your extension. 

EJ
Elisabeth Jane BertrandPosted 3 months ago

Hi there again, 

Just a quick follow up question.  I imagine it could be smarter to uninstall the components from the 3.10.1 version first before attempting anything?  If I do it this way and reinstall the new 4.0 Minitek components after upgrading to Joomla 4 doesn't that mean that I will lose the modules I have already created on the 3.10 platform? 

Elisabeth  

M
MinitekPosted 3 months agoModerator

No, the modules should be ok if you upgrade all Minitek components.

Search